---
openapi: "3.0.0"
info:
  title: "Finances API"
  description: "This API is used to retrieve seller payouts and monetary transaction\
    \ details related to those payouts."
  contact:
    name: "eBay Inc,"
  license:
    name: "eBay API License Agreement"
    url: "https://developer.ebay.com/join/api-license-agreement"
  version: "v1.18.0"
servers:
- url: "https://apiz.ebay.com{basePath}"
  description: "Production"
  variables:
    basePath:
      default: "/sell/finances/v1"
- url: "https://api.ebay.com{basePath}"
  description: "Production"
  variables:
    basePath:
      default: "/sell/finances/v1"
paths:
  /payout/{payout_Id}:
    get:
      tags:
      - "payout"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ Due to EU &amp; UK Payments regulatory requirements, an additional security\
        \ verification via Digital Signatures is required for certain API calls that\
        \ are made on behalf of EU/UK sellers, including all <b>Finances API</b> methods.\
        \ Please refer to <a href=\"/develop/guides/digital-signatures-for-apis \"\
        \ target=\"_blank\">Digital Signatures for APIs</a> to learn more on the impacted\
        \ APIs and the process to create signatures to be included in the HTTP payload.</p></div><br><span\
        \ class=\"tablenote\"><b>Note:</b>  The <b>Finances API</b> does not support\
        \ <a href=\"https://www.ebay.com/sellercenter/ebay-for-business/multi-user-account-access\"\
        \ target=\"_blank\">Team Access</a>. Financial information, such as payouts\
        \ or transactions, is only returned for the user that makes the call. You\
        \ cannot use any of the methods in this API to return financial information\
        \ for another user.</span><br>This method retrieves details on a specific\
        \ seller payout. The unique identifier of the payout is passed in as a path\
        \ parameter at the end of the call URI. <br><br>The <b>getPayouts</b> method\
        \ can be used to retrieve the unique identifier of a payout, or the user can\
        \ check Seller Hub.<br><br>For split-payout cases, which are <b>only</b> available\
        \ to sellers in mainland China, this method will return the <b>payoutPercentage</b>\
        \ for the specified payout. This value indicates the current payout percentage\
        \ allocated to a payment instrument. This method will also return the <b>convertedToCurrency</b>\
        \ and <b>convertedToValue</b> response fields in CNY value. <br><br><span\
        \ class=\"tablenote\"><b>Note:</b> In split-payout cases, this method will\
        \ only return details on an individual payout, also known as a true(actual)\
        \ payoutid. If a user inputs a <b>payoutReference</b> id as a path parameter,\
        \ the call will fail and the <b>404 not found</b> status code will be returned.<br>For\
        \ more information on split payouts, see <a href=\"/api-docs/split-payout/playbook.html\"\
        \ target=\"_blank\">Mainland China Split Payout Playbook</a>.</span>"
      operationId: "getPayout"
      parameters:
      - name: "X-EBAY-C-MARKETPLACE-ID"
        in: "header"
        description: "This header identifies the seller's eBay marketplace.<br><br>See\
          \ <a href=\"/api-docs/static/rest-request-components.html#marketpl \" target=\"\
          _blank \">HTTP request headers</a> for the marketplace ID values.<br><br><span\
          \ class=\"tablenote\"><b>Note:</b> If a marketplace ID value is not provided,\
          \ the default value of <code>EBAY_US</code> is used.</span>"
        required: true
        schema:
          type: "string"
      - name: "payout_Id"
        in: "path"
        description: "This path parameter is used to specify the unique identifier\
          \ of the payout being retrieved. <br><br>Use the <a href=\"/api-docs/sell/finances/resources/payout/methods/getPayouts\"\
          \ target=\"_blank \">getPayouts</a> method to retrieve payout IDs, or check\
          \ Seller Hub to get the payout ID. "
        required: true
        schema:
          type: "string"
      responses:
        "200":
          description: "Success"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Payout"
        "400":
          description: "Bad Request"
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              135000:
                domain: "API_FINANCES"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
        "404":
          description: "Not found"
          x-response-codes:
            errors:
              135001:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "The payout id was not found."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.finances"
  /payout:
    get:
      tags:
      - "payout"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ Due to EU &amp; UK Payments regulatory requirements, an additional security\
        \ verification via Digital Signatures is required for certain API calls that\
        \ are made on behalf of EU/UK sellers, including all <b>Finances API</b> methods.\
        \ Please refer to <a href=\"/develop/guides/digital-signatures-for-apis \"\
        \ target=\"_blank\">Digital Signatures for APIs</a> to learn more on the impacted\
        \ APIs and the process to create signatures to be included in the HTTP payload.</p></div><br><span\
        \ class=\"tablenote\"><b>Note:</b>  The <b>Finances API</b> does not support\
        \ <a href=\"https://www.ebay.com/sellercenter/ebay-for-business/multi-user-account-access\"\
        \ target=\"_blank\">Team Access</a>. Financial information, such as payouts\
        \ or transactions, is only returned for the user that makes the call. You\
        \ cannot use any of the methods in this API to return financial information\
        \ for another user.</span><br>This method is used to retrieve the details\
        \ of one or more seller payouts. By using the <b>filter</b> query parameter,\
        \ users can retrieve payouts processed within a specific date range, and/or\
        \ they can retrieve payouts in a specific state.<br><br>There are also pagination\
        \ and sort query parameters that allow users to control the payouts that are\
        \ returned in the response.<br><br>If no payouts match the input criteria,\
        \ an empty payload is returned.<br><br>For split-payout cases, which are <b>only</b>\
        \ available to sellers in mainland China, this method will return the <b>payoutPercentage</b>\
        \ for the specified payout. This value indicates the current payout percentage\
        \ allocated to a payout instrument. This method will also return the <b>convertedToCurrency</b>\
        \ and <b>convertedTo</b> response fields set to CNY value and the <b>payoutReference</b>,\
        \ the unique identifier reference (not true payout). <br><br>By using the\
        \ <b>filter</b> query parameter, users can retrieve the two true(actual) payouts\
        \ associated with a <b>payoutReference</b>.<br><br><span class=\"tablenote\"\
        ><b>Note:</b> For more information on split payouts, see <a href=\"/api-docs/split-payout/playbook.html\"\
        \ target=\"_blank\">Mainland China Split Payout Playbook</a>.</span> <br><br><b>Note:</b>\
        \ Only payouts less than 5 years in the past can be retrieved."
      operationId: "getPayouts"
      parameters:
      - name: "X-EBAY-C-MARKETPLACE-ID"
        in: "header"
        description: "This header identifies the seller's eBay marketplace.<br><br>See\
          \ <a href=\"/api-docs/static/rest-request-components.html#marketpl \" target=\"\
          _blank \">HTTP request headers</a> for the marketplace ID values.<br><br><span\
          \ class=\"tablenote\"><b>Note:</b> If a marketplace ID value is not provided,\
          \ the default value of <code>EBAY_US</code> is used.</span>"
        required: true
        schema:
          type: "string"
      - name: "filter"
        in: "query"
        description: "The filter types that can be used here are discussed below.\
          \ If none of these filters are used, all payouts in all states from within\
          \ the last five years are returned:<br><ul><li><b>payoutDate</b>: search\
          \ for payouts within a specific range of dates. The date format to use is\
          \ <code>YYYY-MM-DDTHH:MM:SS.SSSZ</code>. Below is the proper syntax to use\
          \ if filtering by a date range: <br><br><code>https://apiz.ebay.com/sell/finances/v1/payout?filter=payoutDate:[2024-12-17T00:00:01.000Z..2024-12-24T00:00:01.000Z]</code><br><br>Only\
          \ payouts from the last five years can be retrieved, so make sure the starting\
          \ date is less than five years in the past from the present time. Also,\
          \ the maximum date range that can be specified through this date filter\
          \ is 36 months, so make sure your specified date range is no more than 36\
          \ months.</li><li><b>lastAttemptedPayoutDate</b>: search for attempted payouts\
          \ that failed within a specific range of dates. In order to use this filter,\
          \ the <b>payoutStatus</b> filter must also be used and its value must be\
          \ set to <code>RETRYABLE_FAILED</code>. The date format to use is <code>YYYY-MM-DDTHH:MM:SS.SSSZ</code>.\
          \ The same syntax and requirements applicable to the <b>payoutDate</b> filter\
          \ also apply to the <b>lastAttemptedPayoutDate</b> filter. <br><br>This\
          \ filter is only applicable (and will return results) if one or more seller\
          \ payouts have failed, but are retryable.</li> <li><b>payoutStatus</b>:\
          \ search for payouts in a particular state. Only one payout state can be\
          \ specified with this filter. For supported <b>payoutStatus</b> values,\
          \ see <a href=\"/api-docs/sell/finances/types/pay:PayoutStatusEnum\" target=\"\
          _blank \">PayoutStatusEnum</a>.<br><br>Below is the proper syntax to use\
          \ if filtering by payout status: <br><br><code>https://apiz.ebay.com/sell/finances/v1/payout?filter=payoutStatus:{SUCCEEDED}</code></li><li><b>payoutReference</b>:\
          \ returns  the two true (actual) payouts associated with the payoutReference\
          \ id. This parameter can support up to 200 <b>payoutReference</b> inputs.\
          \ This filter is <b>only</b> supported for mainland China sellers. Below\
          \ is the proper syntax to use if filtering by a specific <b>payoutReference</b>:<br><br><code>https://apiz.ebay.com/sell/finances/v1/payout?filter=payoutReference:{5********3}</code></li></ul><br>If\
          \ both the <b>payoutDate</b> and <b>payoutStatus</b> filters are used, payouts\
          \ must satisfy both criteria to be returned. For implementation help, refer\
          \ to eBay API documentation at https://developer.ebay.com/api-docs/sell/finances/types/cos:FilterField"
        required: false
        schema:
          type: "string"
      - name: "limit"
        in: "query"
        description: "The number of payouts to return per page of the result set.\
          \ Use this parameter in conjunction with the <b>offset</b> parameter to\
          \ control the pagination of the output. <br><br> For example, if <b>offset</b>\
          \ is set to <code>10</code> and <b>limit</b> is set to <code>10</code>,\
          \ the method retrieves payouts 11 thru 20 from the result set. <br><br>\
          \ <span class=\"tablenote\"><strong>Note:</strong> This feature employs\
          \ a zero-based list, where the first payout in the results set has an offset\
          \ value of <code>0</code>. </span> <br><br> <b>Maximum:</b> <code>200</code>\
          \ <br> <b>Default:</b> <code>20</code>"
        required: false
        schema:
          type: "string"
      - name: "offset"
        in: "query"
        description: "This integer value indicates the actual position that the first\
          \ payout returned on the current page has in the results set. So, if you\
          \ wanted to view the 11th payout of the result set, you would set the <strong>offset</strong>\
          \ value in the request to <code>10</code>. <br><br>In the request, you can\
          \ use the <b>offset</b> parameter in conjunction with the <b>limit</b> parameter\
          \ to control the pagination of the output. For example, if <b>offset</b>\
          \ is set to <code>30</code> and <b>limit</b> is set to <code>10</code>,\
          \ the method retrieves payouts 31 thru 40 from the resulting collection\
          \ of payouts.<br><br>To avoid poor response time, use <b>offset</b> values\
          \ of less than <code>5000</code>.<br><br> <span class=\"tablenote\"><strong>Note:</strong>\
          \ This feature employs a zero-based list, where the first payout in the\
          \ results set has an offset value of <code>0</code>.</span><br><br><b>Default:</b>\
          \ <code>0</code> (zero)"
        required: false
        schema:
          type: "string"
      - name: "sort"
        in: "query"
        description: "By default, payouts or failed payouts that match the input criteria\
          \ are sorted in descending order according to the payout date/last attempted\
          \ payout date (i.e., most recent payouts returned first).<br><br>To view\
          \ payouts in ascending order instead (i.e., oldest payouts/attempted payouts\
          \ first,) you would include the <b>sort</b> query parameter, and then set\
          \ the value of its <b>field</b> parameter to <code>payoutDate</code> or\
          \ <code>lastAttemptedPayoutDate</code> (if searching for failed, retryable\
          \ payouts). Below is the proper syntax to use if filtering by a payout date\
          \ range in ascending order:<br><br><code>https://apiz.ebay.com/sell/finances/v1/payout?filter=payoutDate:[2018-12-17T00:00:01.000Z..2018-12-24T00:00:01.000Z]&sort=payoutDate</code><br><br>Payouts\
          \ can only be sorted according to payout date, and can not be sorted by\
          \ payout status. For implementation help, refer to eBay API documentation\
          \ at https://developer.ebay.com/api-docs/sell/finances/types/cos:SortField"
        required: false
        schema:
          type: "string"
      responses:
        "200":
          description: "Success"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Payouts"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              135014:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "The supplied date range is invalid, as the date range\
                  \ cannot exceed 36 months. Please update the date range and resubmit\
                  \ the request."
              135013:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "The supplied start date is invalid, as payouts older\
                  \ than five years cannot be retrieved. Please update the start date\
                  \ and resubmit the request."
              135002:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "The value of payout status filter is invalid."
              135003:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "The value of pagination is invalid."
              135004:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "The value of payout date filter is invalid."
              135005:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "The value of sorting is invalid."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              135000:
                domain: "API_FINANCES"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
        "204":
          description: "No Content"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.finances"
  /payout_summary:
    get:
      tags:
      - "payout"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ Due to EU &amp; UK Payments regulatory requirements, an additional security\
        \ verification via Digital Signatures is required for certain API calls that\
        \ are made on behalf of EU/UK sellers, including all <b>Finances API</b> methods.\
        \ Please refer to <a href=\"/develop/guides/digital-signatures-for-apis \"\
        \ target=\"_blank\">Digital Signatures for APIs</a> to learn more on the impacted\
        \ APIs and the process to create signatures to be included in the HTTP payload.</p></div><br><span\
        \ class=\"tablenote\"><b>Note:</b>  The <b>Finances API</b> does not support\
        \ <a href=\"https://www.ebay.com/sellercenter/ebay-for-business/multi-user-account-access\"\
        \ target=\"_blank\">Team Access</a>. Financial information, such as payouts\
        \ or transactions, is only returned for the user that makes the call. You\
        \ cannot use any of the methods in this API to return financial information\
        \ for another user.</span><br>This method is used to retrieve cumulative values\
        \ for payouts in a particular state, or all states. The metadata in the response\
        \ includes total payouts, the total number of monetary transactions (sales,\
        \ refunds, credits) associated with those payouts, and the total dollar value\
        \ of all payouts.<br><br>If the <b>filter</b> query parameter is used to filter\
        \ by payout status, only one payout status value may be used. If the <b>filter</b>\
        \ query parameter is not used to filter by a specific payout status, cumulative\
        \ values for payouts in all states are returned.<br><br>The user can also\
        \ use the <b>filter</b> query parameter to specify a date range, and then\
        \ only payouts that were processed within that date range are considered.\
        \ <br><br><b>Note:</b> getPayoutSummary will only return data on payouts that\
        \ occurred less than five years in the past."
      operationId: "getPayoutSummary"
      parameters:
      - name: "X-EBAY-C-MARKETPLACE-ID"
        in: "header"
        description: "This header identifies the seller's eBay marketplace.<br><br>See\
          \ <a href=\"/api-docs/static/rest-request-components.html#marketpl \" target=\"\
          _blank \">HTTP request headers</a> for the marketplace ID values.<br><br><span\
          \ class=\"tablenote\"><b>Note:</b> If a marketplace ID value is not provided,\
          \ the default value of <code>EBAY_US</code> is used.</span>"
        required: true
        schema:
          type: "string"
      - name: "filter"
        in: "query"
        description: "The two filter types that can be used here are discussed below.\
          \ One or both of these filter types can be used. If none of these filters\
          \ are used, the data returned in the response will reflect all payouts in\
          \ all states that have occurred within the last five years:<br><ul><li><b>payoutDate</b>:\
          \ consider payouts processed within a specific range of dates. The date\
          \ format to use is <code>YYYY-MM-DDTHH:MM:SS.SSSZ</code>. Below is the proper\
          \ syntax to use if filtering by a date range: <br><br><code>https://apiz.ebay.com/sell/finances/v1/payout_summary?filter=payoutDate:[2024-12-17T00:00:01.000Z..2024-12-24T00:00:01.000Z]</code><br><br>Only\
          \ payouts from the last five years can be retrieved, so make sure the starting\
          \ date is less than five years in the past from the present time. Also,\
          \ the maximum date range that can be specified through this date filter\
          \ is 36 months, so make sure your specified date range is no more than 36\
          \ months.</li> <li><b>payoutStatus</b>: consider only the payouts in a particular\
          \ state. Only one payout state can be specified with this filter. For supported\
          \ <b>payoutStatus</b> values, see <a href=\"/api-docs/sell/finances/types/pay:PayoutStatusEnum\"\
          \ target=\"_blank \">PayoutStatusEnum</a>.<br><br>Below is the proper syntax\
          \ to use if filtering by payout status: <br><br><code>https://apiz.ebay.com/sell/finances/v1/payout_summary?filter=payoutStatus:{SUCCEEDED}</code></ul><br>If\
          \ both the <b>payoutDate</b> and <b>payoutStatus</b> filters are used, only\
          \ the payouts that satisfy both criteria are considered in the results.\
          \ For implementation help, refer to eBay API documentation at https://developer.ebay.com/api-docs/sell/finances/types/cos:FilterField"
        required: false
        schema:
          type: "string"
      responses:
        "200":
          description: "Success"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/PayoutSummaryResponse"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              135014:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "The supplied date range is invalid, as the date range\
                  \ cannot exceed 36 months. Please update the date range and resubmit\
                  \ the request."
              135013:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "The supplied start date is invalid, as payouts older\
                  \ than five years cannot be retrieved. Please update the start date\
                  \ and resubmit the request."
              135002:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "The value of payout status filter is invalid"
              135004:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "The value of payout date filter is invalid"
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              135000:
                domain: "API_FINANCES"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.finances"
  /seller_funds_summary:
    get:
      tags:
      - "seller_funds_summary"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ Due to EU &amp; UK Payments regulatory requirements, an additional security\
        \ verification via Digital Signatures is required for certain API calls that\
        \ are made on behalf of EU/UK sellers, including all <b>Finances API</b> methods.\
        \ Please refer to <a href=\"/develop/guides/digital-signatures-for-apis \"\
        \ target=\"_blank\">Digital Signatures for APIs</a> to learn more on the impacted\
        \ APIs and the process to create signatures to be included in the HTTP payload.</p></div><br><span\
        \ class=\"tablenote\"><b>Note:</b>  The <b>Finances API</b> does not support\
        \ <a href=\"https://www.ebay.com/sellercenter/ebay-for-business/multi-user-account-access\"\
        \ target=\"_blank\">Team Access</a>. Financial information, such as payouts\
        \ or transactions, is only returned for the user that makes the call. You\
        \ cannot use any of the methods in this API to return financial information\
        \ for another user.</span><br>This method retrieves all pending funds that\
        \ have not yet been distibuted through a seller payout.<br><br>There are no\
        \ input parameters for this method. The response payload includes available\
        \ funds, funds being processed, funds on hold, and also an aggregate count\
        \ of all three of these categories.<br><br>If there are no funds that are\
        \ pending, on hold, or being processed for the seller's account, no response\
        \ payload is returned, and an http status code of <code>204 - No Content</code>\
        \ is returned instead."
      operationId: "getSellerFundsSummary"
      parameters:
      - name: "X-EBAY-C-MARKETPLACE-ID"
        in: "header"
        description: "This header identifies the seller's eBay marketplace.<br><br>See\
          \ <a href=\"/api-docs/static/rest-request-components.html#marketpl \" target=\"\
          _blank \">HTTP request headers</a> for the marketplace ID values.<br><br><span\
          \ class=\"tablenote\"><b>Note:</b> If a marketplace ID value is not provided,\
          \ the default value of <code>EBAY_US</code> is used.</span>"
        required: true
        schema:
          type: "string"
      responses:
        "200":
          description: "Success"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/SellerFundsSummaryResponse"
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              135000:
                domain: "API_FINANCES"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
        "204":
          description: "No Content"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.finances"
  /transaction:
    get:
      tags:
      - "transaction"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ Due to EU &amp; UK Payments regulatory requirements, an additional security\
        \ verification via Digital Signatures is required for certain API calls that\
        \ are made on behalf of EU/UK sellers, including all <b>Finances API</b> methods.\
        \ Please refer to <a href=\"/develop/guides/digital-signatures-for-apis \"\
        \ target=\"_blank\">Digital Signatures for APIs</a> to learn more on the impacted\
        \ APIs and the process to create signatures to be included in the HTTP payload.</p></div><br><span\
        \ class=\"tablenote\"><b>Note:</b>  The <b>Finances API</b> does not support\
        \ <a href=\"https://www.ebay.com/sellercenter/ebay-for-business/multi-user-account-access\"\
        \ target=\"_blank\">Team Access</a>. Financial information, such as payouts\
        \ or transactions, is only returned for the user that makes the call. You\
        \ cannot use any of the methods in this API to return financial information\
        \ for another user.</span><br>The <b>getTransactions</b> method allows a seller\
        \ to retrieve information about one or more of their monetary transactions.<br><br><span\
        \ class=\"tablenote\"><b>Note:</b> For a complete list of transaction types,\
        \ refer to <a href=\"/api-docs/sell/finances/types/pay:TransactionTypeEnum\
        \ \" target=\"_blank \">TransactionTypeEnum</a>.</span><br>Numerous input\
        \ filters are available which can be used individually or combined to refine\
        \ the data that are returned. For example:<ul><li><code>SALE</code> transactions\
        \ for August 15, 2022;</li><li><code>RETURN</code> transactions for the month\
        \ of January, 2021;</li><li>Transactions currently in a <code>transactionStatus</code>\
        \ equal to <code>FUNDS_ON_HOLD</code>.</li></ul>Refer to the <a href=\"#uri.filter\
        \ \">filter</a> field for additional information about each filter and its\
        \ use.<br><br>Pagination and sort query parameters are also provided that\
        \ allow users to further control how monetary transactions are displayed in\
        \ the response.<br><br>If no monetary transactions match the input criteria,\
        \ an http status code of <em>204 No Content</em> is returned with no response\
        \ payload. <br><br><b>Note:</b> Only monetary transactions that have occurred\
        \ within the last five years can be retrieved."
      operationId: "getTransactions"
      parameters:
      - name: "X-EBAY-C-MARKETPLACE-ID"
        in: "header"
        description: "This header identifies the seller's eBay marketplace.<br><br>See\
          \ <a href=\"/api-docs/static/rest-request-components.html#marketpl \" target=\"\
          _blank \">HTTP request headers</a> for the marketplace ID values.<br><br><span\
          \ class=\"tablenote\"><b>Note:</b> If a marketplace ID value is not provided,\
          \ the default value of <code>EBAY_US</code> is used.</span>"
        required: true
        schema:
          type: "string"
      - name: "filter"
        in: "query"
        description: "Numerous filters are available for the <strong>getTransactions</strong>\
          \ method, and these filters are discussed below. One or more of these filter\
          \ types can be used. If none of these filters are used, all monetary transactions\
          \ occurring within the last five years are returned:<ul><li><b>transactionDate</b>:\
          \ search for monetary transactions that occurred within a specific range\
          \ of dates.<br><br><span class=\"tablenote\"><strong>Note:</strong> All\
          \ dates must be input using UTC format (<code>YYYY-MM-DDTHH:MM:SS.SSSZ</code>)\
          \ and should be adjusted accordingly for the local timezone of the user.</span><br>Below\
          \ is the proper syntax to use if filtering by a date range: <br><br><code>https://apiz.ebay.com/sell/finances/v1/transaction?filter=transactionDate:[2024-10-23T00:00:01.000Z..2024-11-09T00:00:01.000Z]</code><br><br>Only\
          \ payouts from the last five years can be retrieved, so make sure the starting\
          \ date is less than five years in the past from the present time. Also,\
          \ the maximum date range that can be specified through this date filter\
          \ is 36 months, so make sure your specified date range is no more than 36\
          \ months.</li>  <li><b>transactionType</b>: search for a specific type of\
          \ monetary transaction. For supported <b>transactionType</b> values, see\
          \ <a href=\"/api-docs/sell/finances/types/pay:TransactionTypeEnum\" target=\"\
          _blank \">TransactionTypeEnum</a>.<br><br>Below is the proper syntax to\
          \ use if filtering by a monetary transaction type: <br><br><code>https://apiz.ebay.com/sell/finances/v1/transaction?filter=transactionType:{SALE}</code></li><li><b>transactionStatus</b>:\
          \ this filter type is only applicable for sales orders, and allows the user\
          \ to filter seller payouts in a particular state. For supported <b>transactionStatus</b>\
          \ values, see <a href=\"/api-docs/sell/finances/types/pay:TransactionStatusEnum\"\
          \ target=\"_blank \">TransactionStatusEnum</a>.<br><br>Below is the proper\
          \ syntax to use if filtering by transaction status: <br><br><code>https://apiz.ebay.com/sell/finances/v1/transaction?filter=transactionStatus:{PAYOUT}</code></li><li><b>buyerUsername</b>:\
          \ the eBay username or user ID of the buyer involved in the monetary transaction.\
          \ Only monetary transactions involving this buyer are returned. Below is\
          \ the proper syntax to use if filtering by a specific eBay buyer: <br><br><code>https://apiz.ebay.com/sell/finances/v1/transaction?filter=buyerUsername:{buyer1234}</code>\
          \ </li><li><b>payoutId</b>: the unique identifier of a seller payout. This\
          \ value is auto-generated by eBay once the seller payout is set to be processed.\
          \ Only monetary transactions involving this Payout ID are returned. Below\
          \ is the proper syntax to use if filtering by a specific Payout ID: <br><br><code>https://apiz.ebay.com/sell/finances/v1/transaction?filter=payoutId:{5********8}</code>\
          \  </li><li><b>transactionId</b>: use this field  <b>transactionId</b> and\
          \ also <b>transactionType</b> to filter for a unique identifier of a monetary\
          \ transaction, or an error will occur. For a sales order, the <b>orderId</b>\
          \ filter should be used instead. Only the monetary transaction defined by\
          \ the identifier is returned.<br><br><span class=\"tablenote\"><strong>Note:</strong>\
          \ This filter cannot be used alone; the <b>transactionType</b> must also\
          \ be specified when filtering by transaction ID.</span><br>Below is the\
          \ proper syntax to use if filtering by a specific transaction ID: <br><br><code>https://apiz.ebay.com/sell/finances/v1/transaction?filter=transactionId:{0*-0***0-3***3}&filter=transactionType:{SALE}</code>\
          \ </li><li><b>orderId</b>: the unique identifier of a sales order. Only\
          \ monetary transaction(s) associated with this <b>orderId</b> value are\
          \ returned.<br><br>For any other monetary transaction, the <b>transactionId</b>\
          \ filter should be used instead.<br><br>Below is the proper syntax to use\
          \ if filtering by a specific order ID:<br><br><code>https://apiz.ebay.com/sell/finances/v1/transaction?filter=orderId:{0*-0***0-3***3}</code>\
          \ </li><li><b>payoutReference</b>: returns the monetary transactions associated\
          \ with the <b>payoutReference</b>. By using this ID as a filter parameter,\
          \ the user will be able to track all monetary transactions associated with\
          \ both sibling payouts, including sales and refunds, if any. This filter\
          \ is <b>only</b> supported for sellers in Mainland China. Below is the proper\
          \ syntax to use if filtering by <b>payoutReference</b>: <br><br><code>https://apiz.ebay.com/sell/finances/v1/transaction?filter=payoutReference:{5*******3}</code></li></ul>\
          \ For implementation help, refer to eBay API documentation at https://developer.ebay.com/api-docs/sell/finances/types/cos:FilterField"
        required: false
        schema:
          type: "string"
      - name: "limit"
        in: "query"
        description: "The number of monetary transactions to return per page of the\
          \ result set. Use this parameter in conjunction with the <b>offset</b> parameter\
          \ to control the pagination of the output. <br><br> For example, if <b>offset</b>\
          \ is set to <code>10</code> and <b>limit</b> is set to <code>10</code>,\
          \ the method retrieves monetary transactions 11 thru 20 from the result\
          \ set. <br><br> <span class=\"tablenote\"><strong>Note:</strong> This feature\
          \ employs a zero-based list, where the first item in the list has an offset\
          \ of <code>0</code>.</span> <br><br> <b>Maximum:</b><code> 1000</code> <br>\
          \ <b>Default:</b><code> 20</code>"
        required: false
        schema:
          type: "string"
      - name: "offset"
        in: "query"
        description: "This integer value indicates the actual position that the first\
          \ monetary transaction returned on the current page has in the results set.\
          \ So, if you wanted to view the 11th monetary transaction of the result\
          \ set, you would set the <strong>offset</strong> value in the request to\
          \ <code>10</code>. <br><br>In the request, you can use the <b>offset</b>\
          \ parameter in conjunction with the <b>limit</b> parameter to control the\
          \ pagination of the output. For example, if <b>offset</b> is set to <code>30</code>\
          \ and <b>limit</b> is set to <code>10</code>, the method retrieves transactions\
          \ 31 thru 40 from the resulting collection of transactions. <br><br> To\
          \ avoid poor response time, use <b>offset</b> values of less than <code>5000</code>.\
          \ <br><br> <span class=\"tablenote\"><strong>Note:</strong> This feature\
          \ employs a zero-based list, where the first item in the list has an offset\
          \ of <code>0</code>.</span><br><b>Default:</b> <code>0</code> (zero)"
        required: false
        schema:
          type: "string"
      - name: "sort"
        in: "query"
        description: "By default, monetary transactions that match the input criteria\
          \ are sorted in descending order according to the transaction date (i.e,\
          \ most recent transactions returned first).<br><br>To view transactions\
          \ in ascending order instead (i.e., oldest transactions first), you would\
          \ include the <b>sort</b> query parameter and set its value to <code>transactionDate</code>.\
          \ Below is the proper syntax to use if filtering by a transaction date range\
          \ in ascending order:<br><br><code>https://apiz.ebay.com/sell/finances/v1/transaction?filter=transactionDate:[2023-10-01T00:00:01.000Z..2023-10-12T00:00:01.000Z]&sort=transactionDate</code><br><br>Transactions\
          \ can only be sorted according to transaction date. For implementation help,\
          \ refer to eBay API documentation at https://developer.ebay.com/api-docs/sell/finances/types/cos:SortField"
        required: false
        schema:
          type: "string"
      responses:
        "200":
          description: "Success"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Transactions"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              135008:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "The value of transaction date filter is invalid."
              135009:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "Transaction type filter is missing."
              135015:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "The supplied start date is invalid, as transactions\
                  \ older than five years cannot be retrieved. Please update the start\
                  \ date and resubmit the request."
              135003:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "The value of pagination is invalid."
              135016:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "The supplied date range is invalid, as the date range\
                  \ cannot exceed 36 months. Please update the date range and resubmit\
                  \ the request."
              135006:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "The value of transaction type filter is invalid."
              135007:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "The value of transaction status filter is invalid."
              135005:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "The value of sorting is invalid."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              135000:
                domain: "API_FINANCES"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
        "204":
          description: "No Content"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.finances"
  /transaction_summary:
    get:
      tags:
      - "transaction"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ Due to EU &amp; UK Payments regulatory requirements, an additional security\
        \ verification via Digital Signatures is required for certain API calls that\
        \ are made on behalf of EU/UK sellers, including all <b>Finances API</b> methods.\
        \ Please refer to <a href=\"/develop/guides/digital-signatures-for-apis \"\
        \ target=\"_blank\">Digital Signatures for APIs</a> to learn more on the impacted\
        \ APIs and the process to create signatures to be included in the HTTP payload.</p></div><<br><span\
        \ class=\"tablenote\"><b>Note:</b>  The <b>Finances API</b> does not support\
        \ <a href=\"https://www.ebay.com/sellercenter/ebay-for-business/multi-user-account-access\"\
        \ target=\"_blank\">Team Access</a>. Financial information, such as payouts\
        \ or transactions, is only returned for the user that makes the call. You\
        \ cannot use any of the methods in this API to return financial information\
        \ for another user.</span><br>The <b>getTransactionSummary</b> method retrieves\
        \ cumulative information for monetary transactions. If applicable, the number\
        \ of payments with a <code>transactionStatus</code> equal to <code>FUNDS_ON_HOLD</code>\
        \ and the total monetary amount of these on-hold payments are also returned.<br><br><span\
        \ class=\"tablenote\"><b>Note:</b> For a complete list of transaction types,\
        \ refer to <a href=\"/api-docs/sell/finances/types/pay:TransactionTypeEnum\
        \ \" target=\"_blank \">TransactionTypeEnum</a>.</span><br>Refer to the <a\
        \ href=\"#uri.filter \">filter</a> field for additional information about\
        \ each filter and its use.<br><br><span class=\"tablenote\"><b>Note:</b> Unless\
        \ a <code>transactionType</code> filter is used to retrieve a specific type\
        \ of transaction (e.g., <code>SALE</code>, <code>REFUND</code>, etc.,) the\
        \ <a href=\"#response.creditCount\">creditCount</a> and <a href=\"#response.creditAmount\"\
        >creditAmount</a> response fields both include <i>order sales</i> and <i>seller\
        \ credits</i> information. That is, the <b>count</b> and <b>value</b> fields\
        \ do not distinguish between these two types monetary transactions.</span>\
        \ <br><br><b>Note:</b> getTransactionSummary will only return data on transactions\
        \ that occurred less than five years in the past."
      operationId: "getTransactionSummary"
      parameters:
      - name: "X-EBAY-C-MARKETPLACE-ID"
        in: "header"
        description: "This header identifies the seller's eBay marketplace.<br><br>See\
          \ <a href=\"/api-docs/static/rest-request-components.html#marketpl \" target=\"\
          _blank \">HTTP request headers</a> for the marketplace ID values.<br><br><span\
          \ class=\"tablenote\"><b>Note:</b> If a marketplace ID value is not provided,\
          \ the default value of <code>EBAY_US</code> is used.</span>"
        required: true
        schema:
          type: "string"
      - name: "filter"
        in: "query"
        description: "Numerous filters are available for the <strong>getTransactionSummary</strong>\
          \ method, and these filters are discussed below. One or more of these filter\
          \ types can be used. The <b>transactionStatus</b> filter must be used. All\
          \ other filters are optional. <ul><li><b>transactionStatus</b>: the data\
          \ returned in the response pertains to the sales, payouts, and transfer\
          \ status set. For supported <b>transactionStatus</b> values, see <a href=\"\
          /api-docs/sell/finances/types/pay:TransactionStatusEnum\" target=\"_blank\
          \ \">TransactionStatusEnum</a>. <br><br>Below is the proper syntax to use\
          \ when setting up the <b>transactionStatus</b> filter: <br><br><code>https://apiz.ebay.com/sell/finances/v1/transaction_summary?filter=transactionStatus:&#123;PAYOUT&#125;</code></li><li><b>transactionDate</b>:\
          \ only consider monetary transactions that occurred within a specific range\
          \ of dates.<br><br><span class=\"tablenote\"><strong>Note:</strong> All\
          \ dates must be input using UTC format (<code>YYYY-MM-DDTHH:MM:SS.SSSZ</code>)\
          \ and should be adjusted accordingly for the local timezone of the user.</span><br><br>Below\
          \ is the proper syntax to use if filtering by a date range: <br><br><code>https://apiz.ebay.com/sell/finances/v1/transaction_summary?filter=transactionDate:&#91;2024-10-23T00:00:01.000Z..2024-11-09T00:00:01.000Z&#93;</code><br><br><b>Note:</b>Only\
          \ monetary transactions from the last five years can be retrieved, so make\
          \ sure the starting date is less than five years in the past from the present\
          \ time. Also, the maximum date range that can be specified through this\
          \ date filter is 36 months, so make sure your specified date range is no\
          \ more than 36 months.</li>  <li><b>transactionType</b>: only consider a\
          \ specific type of monetary transaction. For supported <b>transactionType</b>\
          \ values, see <a href=\"/api-docs/sell/finances/types/pay:TransactionTypeEnum\"\
          \ target=\"_blank \">TransactionTypeEnum</a>.<br><br>Below is the proper\
          \ syntax to use if filtering by a monetary transaction type: <br><br><code>https://apiz.ebay.com/sell/finances/v1/transaction_summary?filter=transactionType:{SALE}</code></li><li><b>buyerUsername</b>:\
          \ only consider monetary transactions involving a specific buyer (specified\
          \ with the buyer's eBay username or user ID). Below is the proper syntax\
          \ to use if filtering by a specific eBay buyer: <br><br><code>https://apiz.ebay.com/sell/finances/v1/transaction_summary?filter=buyerUsername:&#123;buyer1234&#125;</code>\
          \ </li><li><b>payoutId</b>: only consider monetary transactions related\
          \ to a specific seller payout (identified with a Payout ID). This value\
          \ is auto-generated by eBay once the seller payout is set to be processed.\
          \ Below is the proper syntax to use if filtering by a specific Payout ID:\
          \ <br><br><code>https://apiz.ebay.com/sell/finances/v1/transaction_summary?filter=payoutId:&#123;5********8&#125;</code>\
          \  </li><li><b>transactionId</b>: the unique identifier of a monetary transaction.\
          \ For a sales order, the <b>orderId</b> filter should be used instead. Only\
          \ the monetary transaction(s) associated with this <b>transactionId</b>\
          \ value are returned.<br><br><span class=\"tablenote\"><strong>Note:</strong>\
          \ This filter cannot be used alone; the <b>transactionType</b> must also\
          \ be specified when filtering by transaction ID.</span><br><br>Below is\
          \ the proper syntax to use if filtering by a specific transaction ID: <br><br><code>https://apiz.ebay.com/sell/finances/v1/transaction_summary?filter=transactionId:{0*-0***0-3***3}&filter=transactionType:{SALE}</code>\
          \ </li><li><b>orderId</b>: the unique identifier of a sales order. For any\
          \ other monetary transaction, the <b>transactionId</b> filter should be\
          \ used instead. Only the monetary transaction(s) associated with this <b>orderId</b>\
          \ value are returned. Below is the proper syntax to use if filtering by\
          \ a specific order ID: <br><br><code>https://apiz.ebay.com/sell/finances/v1/transaction_summary?filter=orderId:{0*-0***0-3***3}</code>\
          \ </li></ul> For implementation help, refer to eBay API documentation at\
          \ https://developer.ebay.com/api-docs/sell/finances/types/cos:FilterField"
        required: false
        schema:
          type: "string"
      responses:
        "200":
          description: "Success"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/TransactionSummaryResponse"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              135011:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "Transaction status filter is mandatory."
              135008:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "The value of transaction date filter is invalid."
              135009:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "Transaction type filter is missing."
              135015:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "The supplied start date is invalid, as transactions\
                  \ older than five years cannot be retrieved. Please update the start\
                  \ date and resubmit the request."
              135016:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "The supplied date range is invalid, as the date range\
                  \ cannot exceed 36 months. Please update the date range and resubmit\
                  \ the request."
              135006:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "The value of transaction type filter is invalid."
              135007:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "The value of transaction status filter is invalid."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              135000:
                domain: "API_FINANCES"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.finances"
  /transfer/{transfer_Id}:
    get:
      tags:
      - "transfer"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ Due to EU &amp; UK Payments regulatory requirements, an additional security\
        \ verification via Digital Signatures is required for certain API calls that\
        \ are made on behalf of EU/UK sellers, including all <b>Finances API</b> methods.\
        \ Please refer to <a href=\"/develop/guides/digital-signatures-for-apis \"\
        \ target=\"_blank\">Digital Signatures for APIs</a> to learn more on the impacted\
        \ APIs and the process to create signatures to be included in the HTTP payload.</p></div><br><span\
        \ class=\"tablenote\"><b>Note:</b>  The <b>Finances API</b> does not support\
        \ <a href=\"https://www.ebay.com/sellercenter/ebay-for-business/multi-user-account-access\"\
        \ target=\"_blank\">Team Access</a>. Financial information, such as payouts\
        \ or transactions, is only returned for the user that makes the call. You\
        \ cannot use any of the methods in this API to return financial information\
        \ for another user.</span><br>This method retrieves detailed information regarding\
        \ a <code>TRANSFER</code> transaction type. A <code>TRANSFER</code> is a \
        \ monetary transaction type that involves a seller transferring money to eBay\
        \ for reimbursement of one or more charges. For example, when a seller reimburses\
        \ eBay for a buyer refund.<br><br>If an ID is passed into the URI that is\
        \ an identifier for another transaction type, this call will return an http\
        \ status code of <code>404 Not found</code>."
      operationId: "getTransfer"
      parameters:
      - name: "X-EBAY-C-MARKETPLACE-ID"
        in: "header"
        description: "This header identifies the seller's eBay marketplace.<br><br>See\
          \ <a href=\"/api-docs/static/rest-request-components.html#marketpl \" target=\"\
          _blank \">HTTP request headers</a> for the marketplace ID values.<br><br><span\
          \ class=\"tablenote\"><b>Note:</b> If a marketplace ID value is not provided,\
          \ the default value of <code>EBAY_US</code> is used.</span>"
        required: true
        schema:
          type: "string"
      - name: "transfer_Id"
        in: "path"
        description: "This path parameter is used to specify the unique identifier\
          \ of the <code>TRANSFER</code> transaction type you wish to retrieve.<br><br>Use\
          \ the <a href=\"/api-docs/sell/finances/resources/transaction/methods/getTransactions\"\
          \ target=\"_blank \">getTransactions</a> method to retrieve this value by\
          \ setting the <b>transactionType</b> filter to <code>TRANSFER</code>. The\
          \ <b>transfer_id</b> value will then be returned in the <b>transaction_id</b>\
          \ field of the response."
        required: true
        schema:
          type: "string"
      responses:
        "200":
          description: "Success."
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Transfer"
        "400":
          description: "Bad Request"
        "500":
          description: "Internal Server Error."
          x-response-codes:
            errors:
              135000:
                domain: "API_FINANCES"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
        "404":
          description: "Not found."
          x-response-codes:
            errors:
              135012:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "The transfer id was not found."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.finances"
  /billing_activity:
    get:
      tags:
      - "billing_activity"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ Due to EU &amp; UK Payments regulatory requirements, an additional security\
        \ verification via Digital Signatures is required for certain API calls that\
        \ are made on behalf of EU/UK sellers, including all <b>Finances API</b> methods.\
        \ Please refer to <a href=\"/develop/guides/digital-signatures-for-apis \"\
        \ target=\"_blank\">Digital Signatures for APIs</a> to learn more on the impacted\
        \ APIs and the process to create signatures to be included in the HTTP payload.</p></div><br><span\
        \ class=\"tablenote\"><b>Note:</b>  The <b>Finances API</b> does not support\
        \ <a href=\"https://www.ebay.com/sellercenter/ebay-for-business/multi-user-account-access\"\
        \ target=\"_blank\">Team Access</a>. Financial information, such as payouts\
        \ or transactions, is only returned for the user that makes the call. You\
        \ cannot use any of the methods in this API to return financial information\
        \ for another user.</span><br>This method retrieves filtered billing activities\
        \ of the seller. Returned results are filtered through query parameters such\
        \ as date range, activity ID, listing ID, or order ID. Sorting and pagination\
        \ features help organize and navigate returned activities efficiently."
      operationId: "getBillingActivities"
      parameters:
      - name: "Accept-Language"
        in: "header"
        description: "This header indicates the natural language and locale preferred\
          \ by the user for the response.<br><br>For more information, see the <b>Accept-Language</b>\
          \ header in <a href=\"/api-docs/static/rest-request-components.html#headers\"\
          \ target=\"_blank \">HTTP request headers</a> and <a href=\"/api-docs/static/rest-request-components.html#marketpl\"\
          \  target=\"_blank\">Marketplace ID values</a>. If not provided, defaults\
          \ to <code>en-US</code>."
        required: false
        schema:
          type: "string"
      - name: "filter"
        in: "query"
        description: "This required field specifies which results to return in the\
          \ response. Only one of the following four filter values must be used. A\
          \ user can either retrieve all billing activity within a date range, or\
          \ they can retrieve billing activity related to a specific eBay order, eBay\
          \ listing, or they can retrieve information on a specific billing activity.<br\
          \ /><ul><li><b>activityId</b>: If this filter is used, only information\
          \ on a specific billing activity is returned. The <a href=\"#response.billingActivities.billingTransactionId\"\
          >billingTransactionId</a> returned in the response can be used as the <b>activityId</b>.</li><li><b>listingId</b>:\
          \ If this filter is used, only billing activity associated with the specified\
          \ listing is returned.</li><li><b>orderId</b>: If this filter is used, only\
          \ billing activity associated with the specified order is returned.</li><li><b>transactionDate</b>:\
          \ If a date range filter is used, only billing activity that occurred within\
          \ the specified date range is returned. The starting date cannot be set\
          \ back further than 120 days in the past. Use UTC date values in the following\
          \ order: <code>[<em>start</em>..<em>end</em>]</code></li></ul><br /><b>Examples</b><br\
          \ /><br />IDs:<br /> <code>filter=activityID:{12**56}</code><br /><br />Date\
          \ range:<br />  <code>filter=transactionDate:[2025-10-01T00:00:00Z..2025-10-31T23:59:59Z]</code>\
          \ For implementation help, refer to eBay API documentation at https://developer.ebay.com/api-docs/sell/finances/types/cos:FilterField"
        required: false
        schema:
          type: "string"
      - name: "limit"
        in: "query"
        description: "Sets the maximum number of records to return per page of data.<br><p>Use\
          \ this parameter in conjunction with the <b>offset</b> parameter to control\
          \ the pagination of the output. For example, with offset set to <code>20</code>\
          \ and limit set to <code>10</code>, the call retrieves entries 21 through\
          \ 30 from the result set.</p><p>Although this field is optional, if omitted\
          \ the default value of <code>100</code> is used.</p><br> <b>Minimum:</b>\
          \ <code>1</code><br><b>Maximum:</b> <code>200</code><br><b>Default:</b>\
          \ <code>100</code>"
        required: false
        schema:
          type: "string"
      - name: "offset"
        in: "query"
        description: "Specifies the number of records to skip in the result set. This\
          \ is used with the <code>limit</code> field to control the pagination of\
          \ the output. For example:<br><ul><li>If <b>offset</b> is <code>0</code>\
          \ and <b>limit</b> is <code>10</code>, the method will retrieve records\
          \ 1-10 from the list of records returned</li><li>If <b>offset</b> is <code>10</code>\
          \ and <b>limit</b> is <code>10</code>, the method will retrieve records\
          \ 11-20 from the list of records returned.</li></ul><p>If this parameter\
          \ is not set, its value defaults to <code>0</code> which returns the first\
          \ page of records.</p><p><span class=\"tablenote\"><span style=\"color:#004680\"\
          ><strong>Note: </strong>This feature employs a zero-based list, where the\
          \ first activity in the list has an offset of 0.</span></p><p><b>Default:</b>\
          \ <code>0</code> (zero, returns the first page)</p>"
        required: false
        schema:
          type: "string"
      - name: "sort"
        in: "query"
        description: "By default, transactions that match the input criteria are sorted\
          \ in descending order according to the transaction date (most recent transactions\
          \ returned first).<br><br>To view transactions in ascending order instead\
          \ (oldest transactions first), include the <b>sort</b> query parameter and\
          \ set its value to <code>sort=transactionDate</code>. For example (ascending\
          \ order):<br><br><code>filter=transactionDate:[2025-11-01T00:00:01.000Z..2025-11-12T00:00:01.000Z]&sort=transactionDate</code><br><br>Transactions\
          \ can only be sorted according to transaction date. If omitted, defaults\
          \ to descending order (most recent transactions returned first). For implementation\
          \ help, refer to eBay API documentation at https://developer.ebay.com/api-docs/sell/finances/types/cos:SortField"
        required: false
        schema:
          type: "string"
      responses:
        "200":
          description: "OK"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/BillingActivityResponse"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              135025:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "Invalid date range: the end date occurs before the start\
                  \ date."
              135015:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "At least one filter parameter must be used. See documentation\
                  \ for supported filter types."
              135018:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "Only one filter type can be used at a time."
              135019:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "Invalid date format. Date must be in ISO-8601 format\
                  \ (e.g., 2024-10-23T00:00:01.000Z)."
              135016:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "Invalid filter format. See documentation for correct\
                  \ format for each filter type."
              135017:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "Invalid filter type. See documentation for supported\
                  \ filter types."
              135022:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "Invalid limit value. Limit must be between 1 and 200."
              135023:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "Invalid offset value. If provided, Offset must be 0\
                  \ or greater."
              135020:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "There is a syntax error in your date_range filter. Please\
                  \ see documentation for proper syntax."
              135005:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "The sort value is invalid. See documentation for supported\
                  \ values."
              135021:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "The starting date range cannot be set back further than\
                  \ 120 days in the past."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              135000:
                domain: "API_FINANCES"
                category: "REQUEST"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.finances"
    servers:
    - url: "https://api.ebay.com{basePath}"
      description: "Production"
      variables:
        basePath:
          default: "/sell/finances/v1"
components:
  schemas:
    Amount:
      type: "object"
      properties:
        convertedFromCurrency:
          type: "string"
          description: "The three-letter <a href=\"https://www.iso.org/iso-4217-currency-codes.html\
            \ \" target=\"_blank\">ISO 4217</a> code representing the currency of\
            \ the amount in the <b> convertedFromValue</b> field. This value is the\
            \ pre-conversion currency.<br><br>This field is only returned if/when\
            \ currency conversion was applied by eBay. For implementation help, refer\
            \ to <a href='https://developer.ebay.com/api-docs/sell/finances/types/ba:CurrencyCodeEnum'>eBay\
            \ API documentation</a>"
        convertedFromValue:
          type: "string"
          description: "The monetary amount before any conversion is performed, in\
            \ the currency specified by the <b> convertedFromCurrency</b> field. This\
            \ value is the pre-conversion amount. The <b> value</b> field contains\
            \ the converted amount of this value, in the currency specified by the\
            \ <b> currency</b> field.<br><br>This field is only returned if/when currency\
            \ conversion was applied by eBay."
        convertedToCurrency:
          type: "string"
          description: "<span class=\"tablenote\"><b>Note:</b> This field is only\
            \ applicable for Mainland China sellers with an available CNY Bank payment\
            \ instrument. This response can <b>only</b> have a value of <code>CNY</code>.</span>The\
            \ three-letter <a href=\"https://www.iso.org/iso-4217-currency-codes.html\
            \ \" target=\"_blank\">ISO 4217</a> code representing the currency of\
            \ the amount in the <b>convertedToValue</b> field. <br/><br/>This field\
            \ is only returned for payouts to bank accounts when currency conversion\
            \ was applied by eBay. For implementation help, refer to <a href='https://developer.ebay.com/api-docs/sell/finances/types/ba:CurrencyCodeEnum'>eBay\
            \ API documentation</a>"
        convertedToValue:
          type: "string"
          description: "<span class=\"tablenote\"><b>Note:</b> This field is only\
            \ applicable for Mainland China sellers with an available CNY Bank payment\
            \ instrument. This response <b>only</b> returns value in CNY.</span>The\
            \ monetary value after any conversion is performed, in the currency specified\
            \ by the <b>convertedToCurrency</b> field. This value is the converted\
            \ amount. <br/><br/>The field is only returned for payouts to bank accounts\
            \ when currency conversion was applied by eBay."
        currency:
          type: "string"
          description: "A three-letter ISO 4217 code that indicates the currency of\
            \ the amount in the <b>value</b> field. This field is always returned\
            \ with any container using <b>Amount</b> type. <br><br><b>Default</b>:\
            \ The currency of the authenticated user's country. For implementation\
            \ help, refer to <a href='https://developer.ebay.com/api-docs/sell/finances/types/ba:CurrencyCodeEnum'>eBay\
            \ API documentation</a>"
        exchangeRate:
          type: "string"
          description: "The exchange rate used for the monetary conversion. This field\
            \ shows the exchange rate used to convert the dollar value in the <b>value</b>\
            \ field from the dollar value in the <b>convertedFromValue</b> field.<br><br>\
            \ For sellers in mainland China, this field shows the exchange rate to\
            \ convert the dollar value in the <b>value</b> field to the CNY value\
            \ in the <b>convertedToValue</b> field.<br><br>This field is only returned\
            \ when eBay does a currency version, and a currency conversion is generally\
            \ needed if the buyer is viewing, or has purchased an item on an international\
            \ site. <br><br>This field is only returned if/when currency conversion\
            \ was applied by eBay."
        value:
          type: "string"
          description: "The monetary amount, in the currency specified by the <b>currency</b>\
            \ field. This field is always returned with any container using <b>Amount</b>\
            \ type."
      description: "This type is used to express the dollar value and currency used\
        \ for any transaction retrieved with the <strong>Finances API</strong>, including\
        \ an order total, a seller payout, a buyer refund, or a seller credit."
    BalanceAdjustment:
      type: "object"
      properties:
        adjustmentAmount:
          description: "The seller payout balance amount that will be applied toward\
            \ the charges outlined in the <b>charges</b> array."
          $ref: "#/components/schemas/Amount"
        adjustmentType:
          type: "string"
          description: "The enumeration value returned here indicates if the charge\
            \ is a <code>DEBIT</code> or a <code>CREDIT</code> to the seller. Generally,\
            \ all transfer transaction types are going to be <code>DEBIT</code>, since\
            \ the money is being tranferred from the seller to eBay. For implementation\
            \ help, refer to <a href='https://developer.ebay.com/api-docs/sell/finances/types/pay:BookingEntryEnum'>eBay\
            \ API documentation</a>"
      description: "This type is used by the <b>balanceAdjustment</b> container, which\
        \ shows the seller payout balance that will be applied toward the charges\
        \ outlined in the <b>charges</b> array."
    BillingActivityLineItem:
      type: "object"
      properties:
        amount:
          description: "This container shows the amount of the fee or credit. The\
            \ value and currency are always returned. If the buyer is in one country\
            \ and purchases from an eBay marketplace that uses a different currency,\
            \ the response also includes the converted-from and converted-to fields,\
            \ along with the exchange rate."
          $ref: "#/components/schemas/Amount"
        billingTransactionDate:
          type: "string"
          description: "This timestamp indicates the date/time when eBay processed\
            \ the transaction."
        billingTransactionId:
          type: "string"
          description: "This field provides a unique identifier of the billing transaction.\
            \ If a seller wants to view details on a specific billing transaction,\
            \ they can use the <b>actvityId</b> filter and pass in a specific <b>billingTransactionId</b>\
            \ value."
        bookingEntry:
          type: "string"
          description: "The value returned in this field will indicate if the billing\
            \ transaction is a debit against the seller's account, or a credit. A\
            \ debit is much more prevalent than a credit, but sometimes a listing\
            \ fee will get reversed and they will get a credit for this fee. Possible\
            \ values:<br><ul><li><code>DEBIT</code></li><li><code>CREDIT</code></li></ul>"
        feeType:
          type: "string"
          description: "This field describes the type of fee associated with the transaction.\
            \ An example value is  <code>FinalValueFeeFixedFeePerOrder</code>."
        feeTypeDescription:
          type: "string"
          description: "This field contains the human-readable description of the\
            \ fee type associated with the transaction. For example, <code>Final Value\
            \ Fee</code>."
        listingId:
          type: "string"
          description: "The unique identifier of the eBay listing associated with\
            \ the billing transaction. This field is returned if the fee is associated\
            \ with a listing."
        orderId:
          type: "string"
          description: "The unique identifier of the eBay order associated with the\
            \ billing transaction. This field is returned if the fee is associated\
            \ with an order."
        promotionalOffers:
          type: "array"
          description: "A list of seller promotional offers applicable for the billing\
            \ transaction."
          items:
            $ref: "#/components/schemas/DiscountDetail"
      description: "BillingActivityLineItem"
    BillingActivityResponse:
      type: "object"
      properties:
        billingActivities:
          type: "array"
          description: "A list of billing activity entries that meet the filter criteria.\
            \ Billing activity will include fees, credits, and promotional offers\
            \ applied to the seller's account."
          items:
            $ref: "#/components/schemas/BillingActivityLineItem"
        count:
          type: "integer"
          description: "An integer representing the number of billing activity items\
            \ returned in this response page."
          format: "int32"
        limit:
          type: "integer"
          description: "The value of the <b>limit</b> parameter. This is the maximum\
            \ number of line items, as filtered, of billing transactions to return\
            \ per page from the result set."
          format: "int32"
        next:
          type: "string"
          description: "The URI for the next page of results starting with the resource\
            \ name. This URI is returned if there is an additional page of results\
            \ in the result set."
        offset:
          type: "integer"
          description: "The value of the <b>offset</b> parameter. This field indicates\
            \ how many results were skipped in the response. If an <b>offset</b> parameter\
            \ was not included in the request, this value will default to <code>0</code>,\
            \ returning the first page of results."
          format: "int32"
        prev:
          type: "string"
          description: "The URI for the previous page of results starting with the\
            \ resource name. This URI is returned if there is a previous page of results\
            \ in the result set."
        total:
          type: "integer"
          description: "The total number of billing transactions available that match\
            \ the filter criteria. <p><span class=\"tablenote\"><span style=\"color:#004680\"\
            ><strong>Note: </strong>When the <b>total</b> value exceeds the <b>limit</b>\
            \ value, there are multiple pages of results.</span></p>"
          format: "int32"
      description: "BillingActivityResponse"
    Buyer:
      type: "object"
      properties:
        username:
          type: "string"
          description: "The eBay user ID of the order's buyer.<br><br><span class=\"\
            tablenote\"><b>Note:</b> Effective September 26, 2025, select developers\
            \ will no longer receive username data for U.S. users through this field.\
            \ Instead, an immutable user ID will be returned in its place. For more\
            \ information, please refer to <a href=\"/api-docs/static/data-handling-update.html\"\
            >Data Handling Compliance</a>. </span>"
      description: "This type is used to express details about the buyer associated\
        \ with an order. At this time, the only field in this type is the eBay user\
        \ ID of the buyer, but more fields may get added at a later date."
    Charge:
      type: "object"
      properties:
        cancellationId:
          type: "string"
          description: "The unique identifier of an order cancellation. This field\
            \ is only applicable and returned if the charge is related to an order\
            \  cancellation."
        caseId:
          type: "string"
          description: "The unique identifier of a case filed against an order. This\
            \ field is only applicable and returned if the charge is related to a\
            \ case filed against an order."
        chargeNetAmount:
          description: "This container shows the net amount of the charge, which is\
            \ the total amount of the charge minus the total amount of fees credited\
            \ towards this refund as per eBay policy. It is possible for there to\
            \ be multiple charges from multiple orders with one transfer. The net\
            \ aggregate amount for all charges found in the <b>charges</b> array can\
            \ be found in the <b>transferDetail.totalChargeNetAmount</b> container."
          $ref: "#/components/schemas/Amount"
        inquiryId:
          type: "string"
          description: "The unique identifier of an Item Not Received (INR) inquiry\
            \ filed against an order. This field is only applicable and returned if\
            \ the charge is related to has an INR inquiry filed against the order."
        orderId:
          type: "string"
          description: "The unique identifier of the order that is associated with\
            \ the charge."
        paymentDisputeId:
          type: "string"
          description: "The unique identifier of a third-party payment dispute filed\
            \ against an order. This occurs when the buyer files a dispute against\
            \ the order with their payment provider, and then the dispute comes into\
            \ eBay's system. This field is only applicable and returned if the charge\
            \ is related to a third-party payment dispute filed against an order."
        refundId:
          type: "string"
          description: "The unique identifier of a buyer refund associated with the\
            \ charge."
        returnId:
          type: "string"
          description: "The unique identifier of an order return. This field is only\
            \ applicable and returned if the charge is related to an order that was\
            \ returned by the buyer."
      description: "This type is used by the <b>charge</b> container, which is an\
        \ array of one or more charges related to the transfer."
    DiscountDetail:
      type: "object"
      properties:
        amount:
          description: "This container shows the amount of the promotion. The value\
            \ and currency are always returned. If the buyer is in one country and\
            \ purchases from an eBay marketplace that uses a different currency, the\
            \ response also includes the converted-from and converted-to fields, and\
            \ the exchange rate."
          $ref: "#/components/schemas/Amount"
        offerType:
          type: "string"
          description: "The type of promotional discount applied through the activity's\
            \ promotional offer <b>amount</b>. Examples include offer types such as\
            \ <code>ETRS</code> (eBay Top Rated Seller) and <code>PROMOTION</code>."
      description: "This container shows the amount of the promotional offer."
    Error:
      type: "object"
      properties:
        category:
          type: "string"
          description: "Identifies the type of erro."
        domain:
          type: "string"
          description: "Name for the primary system where the error occurred. This\
            \ is relevant for application errors."
        errorId:
          type: "integer"
          description: "A unique number to identify the error."
          format: "int32"
        inputRefIds:
          type: "array"
          description: "An array of request elements most closely associated to the\
            \ error."
          items:
            type: "string"
        longMessage:
          type: "string"
          description: "A more detailed explanation of the error."
        message:
          type: "string"
          description: "Information on how to correct the problem, in the end user's\
            \ terms and language where applicable."
        outputRefIds:
          type: "array"
          description: "An array of request elements most closely associated to the\
            \ error."
          items:
            type: "string"
        parameters:
          type: "array"
          description: "An array of name/value pairs that describe details the error\
            \ condition. These are useful when multiple errors are returned."
          items:
            $ref: "#/components/schemas/ErrorParameter"
        subdomain:
          type: "string"
          description: "Further helps indicate which subsystem the error is coming\
            \ from. System subcategories include: Initialization, Serialization, Security,\
            \ Monitoring, Rate Limiting, etc."
      description: "This type defines the fields that can be returned in an error."
    ErrorParameter:
      type: "object"
      properties:
        name:
          type: "string"
          description: "The object of the error."
        value:
          type: "string"
          description: "The value of the object."
    Fee:
      type: "object"
      properties:
        amount:
          description: "The amount of the fee."
          $ref: "#/components/schemas/Amount"
        feeJurisdiction:
          description: "Indicates the specific jurisdiction for the fee that has been\
            \ deducted from the seller payout."
          $ref: "#/components/schemas/FeeJurisdiction"
        feeMemo:
          type: "string"
          description: "A description of the fee that was deducted from the seller\
            \ payout."
        feeType:
          type: "string"
          description: "The enumeration value returned here indicates the type of\
            \ fee that was deducted from the seller payout. For implementation help,\
            \ refer to <a href='https://developer.ebay.com/api-docs/sell/finances/types/api:FeeTypeEnum'>eBay\
            \ API documentation</a>"
      description: "This type is used to display fees that are automatically deducted\
        \ from seller payouts."
    FeeJurisdiction:
      type: "object"
      properties:
        regionName:
          type: "string"
          description: "String value that indicates the name of the region to which\
            \ a region-specific fee applies.<br><br>The set of valid <b>regionName</b>\
            \ values that may be returned is determined by the <b>regionType</b> value.<br><br><span\
            \ class=\"tablenote\"><strong>Note:</strong> Currently, supported <b>regionName</b>\
            \ values that may be returned are standard two-character country or state\
            \ codes.<br><br>Typical examples include:<ul><li><b>MX</b> [Mexico]</li><li><b>IN</b>\
            \ [India]</li><li><b>US</b> [United States]</li><li>CA [California]</li><li>VT\
            \ [Vermont]</li><li>ME [Maine]</li></ul></span>"
        regionType:
          type: "string"
          description: "The enumeration value returned here indicates the type of\
            \ region that is collecting the corresponding fee. For implementation\
            \ help, refer to <a href='https://developer.ebay.com/api-docs/sell/finances/types/pay:RegionTypeEnum'>eBay\
            \ API documentation</a>"
      description: "This container returns jurisdiction information about region-specific\
        \ fees that are charged to sellers."
    FundingSource:
      type: "object"
      properties:
        brand:
          type: "string"
          description: "The brand name of the credit card or the name of the financial\
            \ institution that is the source of payment. This field may not be populated\
            \ for other funding sources."
        memo:
          type: "string"
          description: "This field provides a note about the funding source. If the\
            \ seller's credit card or bank account is the funding source, this field\
            \ might contain the last four digits of the credit card or bank account.\
            \ This field may also be returned as null."
        type:
          type: "string"
          description: "The string value returned here indicates the funding source.\
            \ Possible values include the following:<ul><li><code>AVAILABLE_FUNDS</code>:\
            \ transfer is funded with seller payout funds</li><li><code>CREDIT_CARD</code>:\
            \ transfer is funded with seller's credit card</li><li><code>BANK</code>:\
            \ transfer is funded with a direct debit to seller's bank account on file\
            \ with eBay</li><li><code>PAY_UPON_INVOICE</code>: eBay will bill the\
            \ seller for the transfer on the monthly invoice</li></ul>"
      description: "This type provided details on the funding source for the transfer."
    OrderLineItem:
      type: "object"
      properties:
        donations:
          type: "array"
          description: "The list of donations applied to the line item.<br><br><span\
            \ class=\"tablenote\"><b>Note: </b>Currently, this array is only returned\
            \ if the seller chooses to donate a percentage of the sales proceeds to\
            \ a charitable organization registered with the eBay for Charity program.</span>"
          items:
            $ref: "#/components/schemas/Fee"
        feeBasisAmount:
          description: "This amount is the order's total amount and equals what the\
            \ buyer has paid. This value includes <b>transactions.amount</b>, <b>totalFeeAmount</b>,\
            \ <b>eBayCollectedTaxAmount</b>, and shipping charges (if any)."
          $ref: "#/components/schemas/Amount"
        lineItemId:
          type: "string"
          description: "The unique identifier of an order line item."
        marketplaceFees:
          type: "array"
          description: "An array of all fees accrued for the order line item and deducted\
            \ from a seller payout."
          items:
            $ref: "#/components/schemas/Fee"
      description: "This type is used to show the fees and donations that are deducted\
        \ from a seller payout for each line item in an order."
    Payout:
      type: "object"
      properties:
        amount:
          description: "This the total amount of the seller payout. The container\
            \ shows the dollar amount of the payout and the currency used. The value\
            \ of the payout is always shown, even if the payout has failed."
          $ref: "#/components/schemas/Amount"
        bankReference:
          type: "string"
          description: "This field contains additional information provided by the\
            \ bank and passed on by the payment processor; e.g., the manner in which\
            \ the transaction will appear on the seller's bank statement. The field\
            \ is returned only when provided by the bank and processor."
        lastAttemptedPayoutDate:
          type: "string"
          description: "This timestamp indicates the date/time when eBay last attempted\
            \ to process a seller payout but it failed. This field is only returned\
            \ if a seller payout fails, and the <strong>payoutStatus</strong> value\
            \ shows <code>RETRYABLE_FAILED</code> or <code>TERMINAL_FAILED</code>.\
            \ A seller can filter on the <b>lastAttemptedPayoutDate</b> in a <b>getPayouts</b>\
            \ request."
        payoutDate:
          type: "string"
          description: "This timestamp indicates when the seller payout began processing.\
            \ The following format is used: <code>YYYY-MM-DDTHH:MM:SS.SSSZ</code>.\
            \ For example, <code>2015-08-04T19:09:02.768Z</code>. This field is still\
            \ returned even if the payout was pending but failed (<strong>payoutStatus</strong>\
            \ value shows <code>RETRYABLE_FAILED</code> or <code>TERMINAL_FAILED</code>)."
        payoutId:
          type: "string"
          description: "The unique identifier of the seller payout. This identifier\
            \ is generated once eBay begins processing the payout to the seller's\
            \ bank account."
        payoutInstrument:
          description: "This container provides details about the seller's account\
            \ that received (or is scheduled to receive) the payout. This container\
            \ is still returned even if the payout failed."
          $ref: "#/components/schemas/PayoutInstrument"
        payoutMemo:
          type: "string"
          description: "This field contains information provided by upstream components,\
            \ based on internal and external commitments. A typical message would\
            \ contain the expected arrival time of the payout."
        payoutReference:
          type: "string"
          description: "This field contains the unique identifier for the Payout Reference.\
            \ In split-payout cases, this is the unique identifier reference (not\
            \ true payout). This field is only returned and will show the associated\
            \ true(actual) payout id(s) when sellers in Mainland China enable split\
            \ payouts between a Payoneer account and/or a bank account. <br><br><span\
            \ class=\"tablenote\"><b>Note: </b>Split-payout functionality will <b>only</b>\
            \ be available to mainland China sellers.</span>"
        payoutStatus:
          type: "string"
          description: "This enumeration value indicates the current status of the\
            \ seller payout. For a successful payout, the value returned will be <code>SUCCEEDED</code>.\
            \ See the <strong>PayoutStatusEnum</strong> type for more details on each\
            \ payout status value. For implementation help, refer to <a href='https://developer.ebay.com/api-docs/sell/finances/types/pay:PayoutStatusEnum'>eBay\
            \ API documentation</a>"
        payoutStatusDescription:
          type: "string"
          description: "This field provides more details about the current status\
            \ of payout. The description returned here will correspond with enumeration\
            \ value returned in the <strong>payoutStatus</strong> field. The following\
            \ shows what description text might appear based on the different <strong>payoutStatus</strong>\
            \ values:<ul><li><code>INITIATED</code>: <em>Preparing to send</em></li><li><code>SUCCEEDED</code>:\
            \ <em>Funds sent</em></li><li><code>REVERSED</code>: <em>Waiting to retry\
            \ : Money rejected by seller's bank</em></li><li><code>RETRYABLE_FAILED</code>:\
            \ <em>Waiting to retry</em></li><li><code>TERMINAL_FAILED</code>: <em>Payout\
            \ failed</em></li></ul>"
        totalAmount:
          description: "This container indicates the sum of a seller's net payout\
            \ amount plus the <code>EXPRESS_PAYOUT_FEE</code> charged by eBay. The\
            \ is expressed as a numeric value and the currency used."
          $ref: "#/components/schemas/Amount"
        totalFee:
          description: "This container indicates the amount of the <code>EXPRESS_PAYOUT_FEE</code>\
            \ charged by eBay when a seller requests payout to a debit card. The fee\
            \ is expressed as a numeric value and the currency used."
          $ref: "#/components/schemas/Amount"
        totalFeeDetails:
          type: "array"
          description: "This array indicates all payout fees associated with a payout,\
            \ including the fee type, amount, value, and currency."
          items:
            $ref: "#/components/schemas/Fee"
        transactionCount:
          type: "integer"
          description: "This integer value indicates the number of monetary transactions\
            \ (all orders, refunds, and credits, etc.) that have occurred with the\
            \ corresponding payout. Its value should always be at least <code>1</code>,\
            \ since there is at least one order per seller payout.<br/><br/>For split\
            \ payouts, each of the two sibling payouts would be considered its own\
            \ transaction. Because of this, if a seller had a payout for one order,\
            \ but split the order between two accounts, the value would be <code>2</code>\
            \ instead of <code>1</code>.<br><br><span class=\"tablenote\"><b>Note:\
            \ </b>Split-payout functionality is <b>only</b> applicable to mainland\
            \ China sellers. </span>"
          format: "int32"
      description: "This type is used to express the details of one seller payout\
        \ that is returned with the <strong>getPayout</strong> or <strong>getPayouts</strong>\
        \ methods."
    PayoutDetails:
      type: "object"
      properties:
        payoutIds:
          type: "array"
          description: "This array indicates the list of true(actual) payout ids associated\
            \ with a split payout. These values can be used as a path parameter for\
            \ the <b>getPayout</b> method to retrieve details on the associated payouts."
          items:
            type: "string"
        payoutReference:
          type: "string"
          description: "This field contains the unique identifier for the Payout Reference.\
            \ In split-payout cases, this is the unique identifier reference (not\
            \ true payout). This field is only returned and will show the associated\
            \ true(actual) payout id(s) when sellers in Mainland China enable split\
            \ payouts between a Payoneer account and/or a bank account.  This value\
            \ can be used by the <b>filter</b> query parameter of the <b>getPayouts</b>\
            \ method to get the monetary details of each true(actual) payout associated\
            \ with the payoutReference. <br><br><span class=\"tablenote\"><b>Note:</b>Split-payout\
            \ functionality will <b>only</b> be available to mainland China sellers.</span>"
      description: "This type provide payout details for a split-payout case. This\
        \ type is only applicable for split payouts."
    PayoutInstrument:
      type: "object"
      properties:
        accountLastFourDigits:
          type: "string"
          description: "This value is the last four digits of the account that the\
            \ seller uses to receive the payout. This may be the last four digits\
            \ of a bank account, a debit card, or a payment processor account such\
            \ as Payoneer."
        instrumentType:
          type: "string"
          description: "This value indicates the type of account that received the\
[...]
